OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepAP203

# StepAP203_HArray1OfDateTimeItem Class Reference

`#include <StepAP203_HArray1OfDateTimeItem.hxx>`

## Public Member Functions
Standard_EXPORT | StepAP203_HArray1OfDateTimeItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_HArray1OfDateTimeItem (const Standard_Integer Low, const Standard_Integer Up, const StepAP203_DateTimeItem &V)
Standard_EXPORT void | Init (const StepAP203_DateTimeItem &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_DateTimeItem &Value)
const StepAP203_DateTimeItem & | Value (const Standard_Integer Index) const
StepAP203_DateTimeItem & | ChangeValue (const Standard_Integer Index)
const StepAP203_Array1OfDateTimeItem & | Array1 () const
StepAP203_Array1OfDateTimeItem & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepAP203_Array1OfDateTimeItem | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_HArray1OfDateTimeItem::StepAP203_HArray1OfDateTimeItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_HArray1OfDateTimeItem::StepAP203_HArray1OfDateTimeItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const StepAP203_DateTimeItem & | V
| ) |

## Member Function Documentation

const StepAP203_Array1OfDateTimeItem& StepAP203_HArray1OfDateTimeItem::Array1 | ( |  | ) | const

StepAP203_Array1OfDateTimeItem& StepAP203_HArray1OfDateTimeItem::ChangeArray1 | ( |  | ) |

StepAP203_DateTimeItem& StepAP203_HArray1OfDateTimeItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepAP203_HArray1OfDateTimeItem::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepAP203_HArray1OfDateTimeItem::Init | ( | const StepAP203_DateTimeItem & | V | ) |

Standard_Integer StepAP203_HArray1OfDateTimeItem::Length | ( |  | ) | const

Standard_Integer StepAP203_HArray1OfDateTimeItem::Lower | ( |  | ) | const

void StepAP203_HArray1OfDateTimeItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_DateTimeItem & | Value
| ) |

Standard_Integer StepAP203_HArray1OfDateTimeItem::Upper | ( |  | ) | const

const StepAP203_DateTimeItem& StepAP203_HArray1OfDateTimeItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepAP203_Array1OfDateTimeItem StepAP203_HArray1OfDateTimeItem::myArray`[private]`

The documentation for this class was generated from the following file:

- StepAP203_HArray1OfDateTimeItem.hxx